
#include "thread.h"
enum {
	M_MAIN,M_LOG,M_TRACE,M_OUT,M_PART,M_PART_SEND,M_PART_FILE,M_TMSG,M_PART_PF
	,M_LAST};
#ifdef MUTEX_MAIN
static char *m_names[]={
	"MAIN","LOG","TRACE","OUT","PART","PART_SEND","PART_FILE","TMSG","PART_PF"
	,NULL};
#define MAX_MUTEX M_LAST
static Mutex *mutexes[MAX_MUTEX];
#endif
void mutex_wait(int i);
void mutex_init(void);
void mutex_release(int x);

#ifndef DOTHREADS
#define mutex_wait(x) ;
#define mutex_release(x) ;
#endif


